- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Generates Monitoring Point configuration of a NetworkMonitoringProvider resource.
HTTP request
GET https://networkmanagement.googleapis.com/v1alpha1/{name=projects/*/locations/*/networkMonitoringProviders/*}:generateMonitoringPointConfig
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the resource. Format: projects/{project}/locations/{location}/networkMonitoringProviders/{networkMonitoringProvider} |
Request body
The request body must be empty.
Response body
Message for response for getting Monitoring Point configuration of a NetworkMonitoringProvider resource.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "config": { object } } |
| Fields | |
|---|---|
config |
The Monitoring Point configuration of the provider in JSON format. |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
networkmanagement.providers.get
For more information, see the IAM documentation.